// package posx -- позиция объекта по X
package posx

import (
	"p78git.ddns.net/svi/libtui/alias"
)

// PosX -- позиция по X
type PosX struct {
	val alias.PosX
}

// NewPosX -- возвращает новую позицию по X
func NewPosX() *PosX {
	sf := &PosX{}
	return sf
}

// Get -- возвращает хранимое значение позиции по X
func (sf *PosX) Get() alias.PosX {
	return sf.val
}

// Set -- устанавливает хранимое значение позиции по X
func (sf *PosX) Set(posX alias.PosX) {
	sf.val = posX
}
